Trusted by the world’s leading companies

Syncfusion Trusted Companies

Aperçu

Les React Charts sont un composant de graphique bien conçu pour visualiser les données dans les applications mobiles et web. Il contient une riche galerie d’interface utilisateur de plus de 50 Charts et Charts, allant des lignes aux financiers, qui répondent à tous les scénarios de graphique. Ses hautes performances aident à rendre de grandes quantités de données rapidement sans aucun problème de performance. En utilisant les React Charts Syncfusion, vous pouvez créer des Charts responsifs et interactifs avec un riche ensemble de fonctionnalités telles que le zoom, le panoramique, l’info-bulle, le réticule, la boule de suivi, la surbrillance et la sélection.

Pourquoi choisir les React Charts Syncfusion ?

React Charts Type image

Plus de 50 types de Charts

Les React charts offrent des animations fluides, représentant les données via des transitions douces pour des visualisations claires et engageantes.

React Charts Animation image

Animation des Charts

Les Charts pour React fournissent une animation fluide pour représenter les données avec des transitions douces.

React Charts Performance image

Performance

Efforts bien pensés et se concentre principalement sur des performances rapides pour rendre 100k données en moins d’une seconde.

React Charts Sdk image

Rendu SVG

Rendu vectoriel propre et net pour tous vos besoins responsifs et de mise à l’échelle.

React Charts Data Editing image

Édition de données

React Charts avec une interface utilisateur riche fournit un support de glisser-déposer aux points rendus. L’édition de données vous permet de manipuler les données sur un graphique.

React Charts Trendlines image

Lignes de tendance

Affiche la direction des prix et la vitesse de mouvement. Les lignes de tendance peuvent être générées pour les séries de type cartésien (Ligne, Colonne, Nuage de points, Aire, Chandelier, HiLo, etc.) sauf barre.

React Charts Global Local image

Globalisation et localisation

Permet aux utilisateurs de différentes locales de les utiliser en formatant les dates, devises et numérotation selon les préférences.

React Charts Export image

Exportation

Exportez les Charts vers des documents PDF ou comme formats d’image tels que SVG, PNG et JPEG, ainsi que l’exportation des données de graphique vers les formats XLSX et CSV.

React Charts puissants, conviviaux et riches en fonctionnalités pour votre entreprise


Exemple de code des React Charts

Commencez facilement avec les React Charts en utilisant quelques lignes simples d’HTML et de code JavaScript comme démontré ci-dessous. Explorez également notre Exemple de React Charts qui vous montre comment rendre et configurer les Charts dans React.

<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>
import { AxisModel, Category, ChartComponent, Inject, LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data : any[]= [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[LineSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Line'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
mobile addaptive icon

Approche mobile d’abord

Développez des React Charts avec une base de code unique, et une architecture adaptative mobile bien pensée qui s’adapte à tout environnement web, mobile ou tablette. Rendez de beaux Charts responsifs, interactifs et animés dans les appareils mobiles.

Accessibilité

Navigation au clavier dans les React Charts.

Assure que chaque élément est accessible au clavier. Les fonctionnalités principales comme la sélection, la surbrillance, l’info-bulle, la réduction de légende et le zoom et panoramique peuvent être effectuées en utilisant uniquement les commandes clavier ; aucune interaction souris n’est requise. Cela aide à créer des applications hautement accessibles en utilisant ce composant de React Charts.

Support daccessibilité et lecteur décran dans les React Charts.

Lecteur d’écran

Les vues des React Charts ont un support complet d’accessibilité WAI-ARIA. Cette interface utilisateur inclut des éléments visuels à haut contraste, aidant les personnes avec des déficiences visuelles à avoir la meilleure expérience de visualisation. De plus, des descriptions d’interface utilisateur valides sont facilement accessibles via les technologies d’assistance telles que les lecteurs d’écran.

Affichage de droite à gauche dans les React Charts.

Droite à gauche (RTL)

Le rendu de droite à gauche permet d’afficher le texte et la mise en page des React Charts de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.

Autres frameworks majeurs pris en charge

En plus de React, une intégration intégrée est disponible pour ces frameworks majeurs.

Pas sûr de comment créer vos premiers React Charts ? Nos vidéos tutoriels et documentation peuvent vous aider.

J’aimerais le regarder maintenant J’aimerais le lire maintenant

Foire aux questions

Utilisez les React Charts Syncfusion pour alimenter vos visualisations de données les plus exigeantes avec les fonctionnalités suivantes :

  • Support de plus de 50 types de Charts et animation élégante.

  • Temps de chargement ultra-rapide et interaction UI riche dans les applications React.

  • Support du rendu SVG et Canvas (pour un rendu rapide).

  • Vous pouvez ajouter des éléments personnalisés au graphique en utilisant l’option annotations.

  • Lors de l’affichage de données sur plusieurs Charts, les Charts synchronisés améliorent la visualisation en coordonnant les info-bulles, réticules, sélections et fonctionnalités de zoom sur tous les Charts.

  • Liaison de données flexible avec support pour utiliser des sources de données locales et distantes telles que JSON, services RESTful, services OData, et services WCF.

  • L’un des meilleurs React Charts du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.
  • Configuration simple et API.

  • Support de tous les navigateurs modernes.
  • Compatible tactile mobile et responsive.
  • Ressources d’apprentissage étendues telles que démos et documentation pour apprendre rapidement et commencer avec les React Charts.

Nous ne vendons pas les React Charts séparément. Ils ne sont disponibles à l’achat que dans le cadre de la licence d’équipe Syncfusion. Cela contient plus de composants et frameworks, y compris les React Charts. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs, et inclut le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes éligible à des remises supplémentaires.

Vous pouvez trouver notre démo des React Charts, qui démontre comment rendre et configurer les Charts.

Non, nos plus de composants et frameworks pour web, mobile et desktop, y compris nos React Charts, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons tarifé le produit de manière compétitive, donc il ne coûte qu’un peu plus cher que ce que certains autres fournisseurs facturent pour leur seul composant Charts. Nous avons également constaté que, selon notre expérience, nos clients commencent généralement par utiliser un de nos produits puis s’étendent rapidement à plusieurs produits, donc nous avons pensé qu’il était préférable d’offrir tous les plus de composants et frameworks pour un abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes éligible à des remises supplémentaires.

Non, c’est un produit commercial et nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et individus dont les organisations ont moins de 1 million USD de revenus bruts annuels et cinq développeurs ou moins.

Un bon endroit pour commencer serait notre documentation de démarrage complète.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Activités récentes dans les blogs et tutoriels des React Charts

Les articles de blog et vidéos tutoriels des React Charts vous guideront dans la construction de votre première application avec les composants React. Ils fournissent des stratégies de résolution de problèmes, décrivent les caractéristiques et fonctionnalités, annoncent de nouvelles versions de fonctionnalités, expliquent les meilleures pratiques, et présentent des scénarios d’exemple. Explorez nos derniers articles sur nos canaux de blog et vidéos tutoriels pour les mises à jour des React Charts.

Up arrow icon
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Aperçu

L’Angular Charts est un composant de Charts bien conçu pour la visualisation de données. Il contient une riche galerie d’interface utilisateur de plus de 50 Charts et diagrammes, allant des lignes aux Charts financiers qui répondent à tous les scénarios de Charts. Ses hautes performances permettent de rendre rapidement de grandes quantités de données. Il est également livré avec des fonctionnalités telles que le zoom, le panoramique, l’info-bulle, le réticule, la boule de suivi, la surbrillance et la sélection.

Pourquoi choisir Syncfusion Essential Studio® Angular Charts ?

Angular Chart Type image

Plus de 50 types de Charts

Du simple graphique Angular (ligne, barre, zone) au financier complexe, tous hautement personnalisables.

Angular Chart Animation image

Animation de Charts

Charts pour Angular fournit une animation fluide pour représenter les données avec des transitions en douceur.

Angular Chart Performance image

Performance

Les Angular Charts sont soigneusement conçus pour offrir des performances rapides, capables de rendre 100 000 points de données en moins d’une seconde.

Angular Chart Sdk image

Rendu SVG

Rendu vectoriel, propre et net pour tous vos besoins de réactivité et de mise à l’échelle.

Angular Chart Data Editing image

Édition de données

Angular Charts avec une interface utilisateur riche fournit un support glisser-déposer pour les points rendus. L’édition de données vous permet de manipuler les données sur un graphique.

Angular Chart Trendlines image

Lignes de tendance

Affiche la direction et la vitesse de mouvement des prix. Les lignes de tendance peuvent être générées pour les séries de type cartésien (Ligne, Colonne, Nuage de points, Zone, Chandelier, HiLo, etc.) sauf barre.

Angular Chart Global Local image

Mondialisation et localisation

Les utilisateurs de différentes locales peuvent utiliser les Charts Angular en formatant les dates, devises et numérotation selon leurs préférences.

Angular Chart Export image

Exportation

Exportez les Charts vers des documents PDF ou comme formats d’image tels que SVG, PNG et JPEG.

Angular Charts puissants, conviviaux et riches en fonctionnalités pour votre entreprise


Exemple de code Angular Charts

Commencez facilement avec Angular Charts en utilisant quelques lignes simples de code HTML et TS comme démontré ci-dessous. Explorez également notre Exemple Angular Charts qui vous montre comment rendre et configurer les Charts dans Angular.

<ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
<e-series-collection>
  <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>
</e-series-collection>
</ejs-chart>
//app.component.ts
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'WW', y: 38.3, text: 'World Wide' },
  { x: 'EU', y: 45.2, text: 'Europe' },
  { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  { x: 'LATAM', y: 46.7, text: 'Latin America' },
  { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  { x: 'NA', y: 64, text: 'North America' }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ LineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }
mobile addaptive icon

Approche mobile d’abord

Développez des Charts Angular avec une seule base de code et une architecture adaptative mobile bien pensée qui s’adapte à tout environnement web, mobile ou tablette. Rendez de beaux Charts réactifs, interactifs et animés dans les appareils mobiles.

Accessibilité

Keyboard navigation in Charts for Angular.

Angular Charts s’assure que chaque élément est accessible au clavier. Les fonctionnalités principales comme la sélection, la surbrillance, l’info-bulle, l’effondrement de la légende et le zoom et panoramique peuvent être effectuées en utilisant uniquement les commandes clavier ; aucune interaction souris n’est requise. Cela aide à créer des applications hautement accessibles en utilisant ce composant.

Accessibility and screen reader support in Angular Chart.

Lecteur d’écran

Les vues Angular Charts ont un support complet d’accessibilité WAI-ARIA. Cette interface utilisateur inclut des éléments visuels à contraste élevé, aidant les personnes ayant des déficiences visuelles à avoir la meilleure expérience de visualisation. De plus, les descriptions d’interface utilisateur valides sont facilement accessibles via des technologies d’assistance telles que les lecteurs d’écran.

Show right-to-left language in Angular Charts.

Droite à gauche (RTL)

Le rendu de droite à gauche permet d’afficher le texte et la mise en page des Charts Angular de droite à gauche. Cela améliore l’expérience utilisateur et l’accessibilité pour les langues RTL.


Compatibilité des versions Angular

Avec l’amélioration continue des versions Angular, les Angular Charts sont maintenus à jour pour les rendre compatibles avec les versions à partir de la 4 jusqu’à la dernière version.

Charts Angular version compatibility.

Autres frameworks supportés

Les Charts sont disponibles pour les frameworks Blazor, React, JavaScript et Vue. Explorez ses options spécifiques à la plateforme via les liens suivants :

Les Angular Charts fonctionnent bien avec tous les navigateurs web modernes, y compris Chrome, Firefox, Edge, Safari et Opera.

The best Angular Charts supported browsers.


Vous n’êtes pas sûr de savoir comment créer votre premier Angular Charts ? Nos vidéos de tutoriel et notre documentation peuvent vous aider.

J’aimerais le regarder maintenant J’aimerais le lire maintenant

Foire aux questions

Le composant Syncfusion Angular Charts prend en charge les fonctionnalités suivantes :

  • Prend en charge plus de 50 types de Charts et animations élégantes.

  • Temps de chargement ultra-rapide et interaction d’interface utilisateur riche dans les applications Angular.

  • Prend en charge à la fois le rendu SVG et Canvas (pour un rendu rapide).

  • Vous pouvez ajouter des éléments personnalisés au graphique en utilisant l’option annotations.

  • Liaison de données flexible avec support pour utiliser des sources de données locales et distantes telles que JSON, services RESTful, services OData et services WCF.

  • Un des meilleurs Angular Charts du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.
  • Configuration simple et API.

  • Prend en charge tous les navigateurs modernes.
  • Lors de l’affichage de données sur plusieurs Charts, les Charts synchronisés améliorent la visualisation en coordonnant les info-bulles, réticules, sélections et fonctionnalités de zoom sur tous les Charts.

  • Compatible tactile mobile et réactif.
  • Ressources d’apprentissage étendues telles que démos, documentation, et vidéos pour apprendre rapidement et commencer avec Angular Charts.

Non, nos plus de composants et frameworks pour web, mobile et bureau, y compris nos Angular Charts, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons fixé un prix compétitif pour le produit, donc il ne coûte qu’un peu plus que ce que certains autres fournisseurs facturent pour leur composant Charts seul. Nous avons également constaté que, selon notre expérience, nos clients commencent généralement par utiliser un de nos produits puis s’étendent rapidement à plusieurs produits, nous avons donc estimé qu’il était préférable d’offrir tous les plus de composants et frameworks pour un abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits aujourd’hui pour voir si vous êtes éligible à des remises supplémentaires.

Non, c’est un produit commercial qui nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et individus dont les organisations ont moins de 1 million USD de revenus bruts annuels et cinq développeurs ou moins.

Un bon point de départ serait notre documentation de démarrage complète.

Les Syncfusion Angular Charts vous permettent de visualiser des données en utilisant plus de 50 types de Charts. Chaque type de graphique est facilement configurable avec un support intégré pour créer des effets visuels époustouflants.

Nous ne vendons pas les Angular Charts séparément. Il n’est disponible à l’achat que dans le cadre de la licence d’équipe Syncfusion. Cela contient plus de composants et frameworks, y compris les Angular Charts. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs, et inclut le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des remises basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits aujourd’hui pour voir si vous êtes éligible à des remises supplémentaires.

Vous pouvez trouver notre démo Angular Charts, qui démontre comment rendre et configurer les Charts.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Activités récentes dans les tutoriels et blogs Angular Charts

Les vidéos de tutoriel et articles de blog Angular Charts vous guideront dans la construction de votre première application avec les composants Angular. Ils fournissent des stratégies de résolution de problèmes, décrivent les fonctionnalités et fonctions, annoncent les nouvelles versions de fonctionnalités, expliquent les meilleures pratiques et présentent des exemples de scénarios. Explorez nos derniers articles sur notre blog et canaux de vidéos de tutoriel pour les mises à jour Angular Charts.

Up arrow icon
Syncfusion Feedback